
pi-vote - Bug / Feature #4203

System.ArgumentException: Bad vota

10 December 2012 19:30 - danilo

Status: Closed Start date: 10 December 2012

Priority: High Due date:  

Assignee: Exception % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: PiVote 1.3.1.0   

Request Type: Bug Report Affected Users: Voters

Affected Program: Circle   

Description

Beim Abstimmen über das Asylreferendum mit der aktuellsten (1.3.1.0) Pivote-Version (Circle Client):

Unhandled Exception: System.ArgumentException: Bad vota.

  at Pirate.PiVote.Crypto.Ballot..ctor (IEnumerable`1 vota, Pirate.PiVote.Crypto.BaseParameters pa

rameters, Pirate.PiVote.Crypto.Question questionParameters, Emil.GMP.BigInt publicKey, System.Prog

ress progress) [0x00000] in <filename unknown>:0 

  at Pirate.PiVote.Crypto.VoterEntity.CreateBallot (System.Tuple`4 input, System.ProgressHandler p

rogressHandler) [0x00000] in <filename unknown>:0 

  at System.Parallel+ParallelWorker`2[System.Tuple`4[System.Collections.Generic.IEnumerable`1[Syst

em.Int32],Pirate.PiVote.Crypto.VotingParameters,Pirate.PiVote.Crypto.Question,Emil.GMP.BigInt],Pir

ate.PiVote.Crypto.Ballot].Worker () [0x00000] in <filename unknown>:0 

  at System.Threading.Thread.StartInternal () [0x00000] in <filename unknown>:0 

[ERROR] FATAL UNHANDLED EXCEPTION: System.ArgumentException: Bad vota.

  at Pirate.PiVote.Crypto.Ballot..ctor (IEnumerable`1 vota, Pirate.PiVote.Crypto.BaseParameters pa

rameters, Pirate.PiVote.Crypto.Question questionParameters, Emil.GMP.BigInt publicKey, System.Prog

ress progress) [0x00000] in <filename unknown>:0 

  at Pirate.PiVote.Crypto.VoterEntity.CreateBallot (System.Tuple`4 input, System.ProgressHandler p

rogressHandler) [0x00000] in <filename unknown>:0 

  at System.Parallel+ParallelWorker`2[System.Tuple`4[System.Collections.Generic.IEnumerable`1[Syst

em.Int32],Pirate.PiVote.Crypto.VotingParameters,Pirate.PiVote.Crypto.Question,Emil.GMP.BigInt],Pir

ate.PiVote.Crypto.Ballot].Worker () [0x00000] in <filename unknown>:0 

  at System.Threading.Thread.StartInternal () [0x00000] in <filename unknown>:0

 Mit dem Wizard hats dann geklappt.

Related issues:

Is duplicate of pi-vote - Bug / Feature #3176: pivote-circle crasht bei Absti... Needs Work 12 May 2012 30 April 2013

History

#1 - 10 December 2012 19:58 - danilo

Sorry, Duplikat von #3176 (oder vice-versa). Der Fakt, dass es mit Wizard geht, mit Circle aber nicht, könnte ev hilfreich sein.

#2 - 15 December 2012 22:53 - Exception

- Status changed from New to Needs Feedback

Bitte OS, OS-Version und Abstimmung angeben.

#3 - 15 December 2012 22:59 - danilo

- Status changed from Needs Feedback to Closed

- % Done changed from 0 to 100

Habs bei #3176 ergänzt.
